/**
 * @file
 */

(function ($, Drupal, drupalSettings) {
  Drupal.behaviors.test = {
    attach: function (context, settings) {
      // When Click on the checkbox add class to the sibling label selectedStyle
      $(".fieldset-wrapper input[type=radio]").on("click", function () {
        $(this)
          .parent()
          .parent()
          .find("input[type=radio]")
          .each(function () {
            $(this).parent().find("label").removeClass("selectedStyle");
          });
        $(this).parent().find("label").addClass("selectedStyle");
      });

      $("#seeds-container li a").each(function () {
        $(this).on("click", function () {
          $("#seeds-container li a").removeClass("active");
          $(this).toggleClass("active");
          var href = $(this).attr("data-target");
          if (href && $("#seeds-body").length) {
            $(".seeds-body-item").removeClass("active");
            $(".seeds-body--" + href).addClass("active");
          }
        });
      });
    },
  };
})(jQuery, Drupal, drupalSettings);
